#
# spec file for package python-ipython_genutils
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-ipython_genutils
Version:        0.2.0
Release:        bp153.1.21
Summary:        Vestigial utilities from IPython
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://ipython.org
Source:         https://files.pythonhosted.org/packages/source/i/ipython_genutils/ipython_genutils-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module setuptools}
Requires:       python
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
This contains some common utilities shared by Jupyter and IPython projects
during The Big Split. As soon as possible, those packages will remove their
dependency on this, and this package will go away.

No projects should depend on this package directly.  It will be pulled in by
whatever packages need it

%prep
%setup -q -n ipython_genutils-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LC_ALL=en_US.utf8
%python_expand nosetests-%{$python_bin_suffix}

%files %{python_files}
%defattr(-,root,root,-)
%doc CONTRIBUTING.md COPYING.md README.md
%{python_sitelib}/*

%changelog
* Thu Mar 30 2017 toddrme2178@gmail.com
- Implement single-spec
- Update to 0.2.0
  * treat strings under ironpthon 2.7 as unicode, like 3.x
  * Omit missing directories from MANIFEST
* Fri Aug 21 2015 toddrme2178@gmail.com
- Add python 2.7 requirement
* Tue Jul 21 2015 toddrme2178@gmail.com
- Initial version
